Partner
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get Top Clients
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
userId*string
Identifier of the partner user whose top clients are requested
Format
uuidstartTime?string
Start of the reporting window (inclusive)
Format
date-timeendTime?string
End of the reporting window (inclusive)
Format
date-timecomparative?boolean
When true, include each client's absolute change versus the previous equal-length window
Default
falsesortBy?string
Ranking metric
Default
"volumeUsd"Value in
- "volumeUsd"
- "volumeLots"
- "rebate"
sortOrder?string
Ranking direction
Default
"desc"Value in
- "asc"
- "desc"
limit?integer
Maximum number of ranked clients to return
Range
1 <= value <= 100Default
50offset?integer
Number of ranked clients to skip
Range
0 <= valueDefault
0Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/partner/top-clients?userId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "report": { "data": [ { "clientExternalId": "string", "volumeLots": { "actualValue": "string", "absoluteChange": "string" }, "volumeUsd": { "actualValue": "string", "absoluteChange": "string" }, "rebate": { "actualValue": "string", "absoluteChange": "string" } } ], "total": 0 }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}